Skip to main content
`Ctrl`+`K`

# LMESolve

Solves the linear matrix equation.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESolve(LME lme)

Collective

## Input Parameter

- lme - the linear matrix equation solver context

## Options Database Keys

- -lme_view - print information about the solver once the solve is complete

- -lme_view_pre - print information about the solver before the solve starts

- -lme_view_mat_a - view the A matrix

- -lme_view_mat_b - view the B matrix

- -lme_view_mat_d - view the D matrix

- -lme_view_mat_e - view the E matrix

- -lme_view_rhs - view the right hand side of the equation

- -lme_view_solution - view the computed solution

- -lme_converged_reason - print reason for convergence/divergence, and number of iterations

## Notes

The matrix coefficients are specified with `LMESetCoefficients()`. The right-hand side is specified with `LMESetRHS()`. The placeholder for the solution is specified with `LMESetSolution()`.

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use `-lme_view_mat_a binary:amatrix.bin` to save the \(A\) matrix to a binary file. See `PetscObjectViewFromOptions()` for more details.

## See Also

LME: Linear Matrix Equation, `LMECreate()`, `LMESetUp()`, `LMEDestroy()`, `LMESetTolerances()`, `LMESetCoefficients()`, `LMESetRHS()`, `LMESetSolution()`

## Level

beginner

## Location

src/lme/interface/lmesolve.c

## Examples

src/lme/tutorials/ex32.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages